CAPI not working correctly on Ubuntu hardy (8.04) and intrepid (8.10)

Bug #204624 reported by Martin Turba on 2008-03-21
38
Affects Status Importance Assigned to Milestone
linux-restricted-modules-2.6.24 (Ubuntu)
Medium
Unassigned
Nominated for Hardy by Gunni

Bug Description

Binary package hint: isdnutils

AVM Fritz!Card PCI isn't initialized correctly and CAPI does not work, as no B-Channels are available:

====================
root@srv:~# capiinfo
Number of Controllers : 1
Controller 1:
Manufacturer:
CAPI Version: 2.0
Manufacturer Version: 49.23
Serial Number: 1000001
BChannels: 0
Global Options: 0x00000000
B1 protocols support: 0x00000000
B2 protocols support: 0x00000000
B3 protocols support: 0x00000000

  0100
  0000
  00000000
  00000000
  00000000
  00000000
  00000000 00000000 00000000 00000000 00000000 00000000
  00000000 00000000 00000000 00000000 00000000

Supplementary services support: 0x000003ff
   Hold / Retrieve
   Terminal Portability
   ECT
   3PTY
   Call Forwarding
   Call Deflection
   MCID
   CCBS
====================

This happens on Ubuntu hardy with Kernel 2.6.24-12-generic, while it worked under Ubuntu 7.10 (but actually don't remember the kernel version):

====================
mturba@srv:~$ lsb_release -rd
Description: Ubuntu hardy (development branch)
Release: 8.04

mturba@srv:~$ uname -a
Linux srv 2.6.24-12-generic #1 SMP Wed Mar 12 23:01:54 UTC 2008 i686 GNU/Linux

mturba@srv:~$ apt-cache policy capiutils
capiutils:
  Installed: 1:3.10.20070306-0ubuntu4
  Candidate: 1:3.10.20070306-0ubuntu4
  Version table:
 *** 1:3.10.20070306-0ubuntu4 0
        500 http://de.archive.ubuntu.com hardy/main Packages
        100 /var/lib/dpkg/status
====================

Relevant modules loaded:

====================
root@srv:~# lsmod | grep capi
capi 18880 0
kernelcapi 41044 2 fcpci,capi
capifs 6920 2 capi
====================

/etc/isdn/modules.conf:

====================
[...]
#t1isa t1.t4 DSS1 0x340 9 - 0
#t1pci t1.t4 DSS1 - - - -
fcpci - - - - - -
#fcpcmcia - - - - - -
#fcusb - - - - - -
[...]
====================

====================
root@srv:~# dmesg | grep -i "AVM\|CAPI"
[ 34.748905] CAPI Subsystem Rev 1.1.2.8
[ 34.870687] fcpci: AVM FRITZ!Card PCI driver, revision 0.7.2
[ 34.870697] fcpci: -- 32 bit CAPI driver --
[ 34.872870] fcpci: AVM FRITZ!Card PCI found: port 0xc800, irq 21
[ 37.920432] kcapi: Controller [001]: fcpci-c800-21 attached
[ 37.920438] kcapi: card [001] "fcpci-c800-21" ready.
[ 75.208950] capifs: Rev 1.1.2.3
[ 75.304123] capi20: Rev 1.1.2.7: started up with major 68 (middleware+capifs)

root@srv:~# lspci -vvnnd 1244:0a00
00:0b.0 Network controller [0280]: AVM Audiovisuelles MKTG & Computer System GmbH A1 ISDN [Fritz] [1244:0a00] (rev 02)
        Subsystem: AVM Audiovisuelles MKTG & Computer System GmbH FRITZ!Card ISDN Controller [1244:0a00]
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 21
        Region 0: Memory at ee042000 (32-bit, non-prefetchable) [size=32]
        Region 1: I/O ports at c800 [size=32]

root@srv:~# grep "kernel\|udev" /var/log/syslog
Mar 21 13:48:31 srv kernel: [ 1967.173699] CAPI Subsystem Rev 1.1.2.8
Mar 21 13:48:31 srv kernel: [ 1967.203534] capi20: Rev 1.1.2.7: started up with major 68 (middleware+capifs)
Mar 21 13:48:31 srv udevd-event[20290]: udev_node_mknod: mknod(/dev/capi/0.udev-tmp, 020660, 191, 0) failed: Operation not permitted
Mar 21 13:48:31 srv kernel: [ 1967.224223] fcpci: AVM FRITZ!Card PCI driver, revision 0.7.2
Mar 21 13:48:31 srv kernel: [ 1967.224232] fcpci: (fcpci built on Mar 12 2008 at 14:14:30)
Mar 21 13:48:31 srv kernel: [ 1967.224235] fcpci: -- 32 bit CAPI driver --
Mar 21 13:48:31 srv kernel: [ 1967.226100] fcpci: AVM FRITZ!Card PCI found: port 0xc800, irq 21
Mar 21 13:48:31 srv kernel: [ 1967.226110] fcpci: Loading...
Mar 21 13:48:31 srv kernel: [ 1967.226114] fcpci: Driver 'fcpci' attached to fcpci-stack. (152)
Mar 21 13:48:31 srv kernel: [ 1967.453963] fcpci: Stack version 3.11-07
Mar 21 13:48:31 srv udevd-event[20291]: udev_node_mknod: mknod(/dev/capi/1.udev-tmp, 020660, 191, 1) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20292]: udev_node_mknod: mknod(/dev/capi/2.udev-tmp, 020660, 191, 2) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20293]: udev_node_mknod: mknod(/dev/capi/3.udev-tmp, 020660, 191, 3) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20294]: udev_node_mknod: mknod(/dev/capi/4.udev-tmp, 020660, 191, 4) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20295]: udev_node_mknod: mknod(/dev/capi/5.udev-tmp, 020660, 191, 5) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20296]: udev_node_mknod: mknod(/dev/capi/6.udev-tmp, 020660, 191, 6) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20297]: udev_node_mknod: mknod(/dev/capi/7.udev-tmp, 020660, 191, 7) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20298]: udev_node_mknod: mknod(/dev/capi/8.udev-tmp, 020660, 191, 8) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20299]: udev_node_mknod: mknod(/dev/capi/9.udev-tmp, 020660, 191, 9) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20300]: udev_node_mknod: mknod(/dev/capi/10.udev-tmp, 020660, 191, 10) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20301]: udev_node_mknod: mknod(/dev/capi/11.udev-tmp, 020660, 191, 11) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20302]: udev_node_mknod: mknod(/dev/capi/12.udev-tmp, 020660, 191, 12) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20303]: udev_node_mknod: mknod(/dev/capi/13.udev-tmp, 020660, 191, 13) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20304]: udev_node_mknod: mknod(/dev/capi/14.udev-tmp, 020660, 191, 14) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20305]: udev_node_mknod: mknod(/dev/capi/15.udev-tmp, 020660, 191, 15) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20306]: udev_node_mknod: mknod(/dev/capi/16.udev-tmp, 020660, 191, 16) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20307]: udev_node_mknod: mknod(/dev/capi/17.udev-tmp, 020660, 191, 17) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20308]: udev_node_mknod: mknod(/dev/capi/18.udev-tmp, 020660, 191, 18) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20309]: udev_node_mknod: mknod(/dev/capi/19.udev-tmp, 020660, 191, 19) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20310]: udev_node_mknod: mknod(/dev/capi/20.udev-tmp, 020660, 191, 20) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20311]: udev_node_mknod: mknod(/dev/capi/21.udev-tmp, 020660, 191, 21) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20312]: udev_node_mknod: mknod(/dev/capi/22.udev-tmp, 020660, 191, 22) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20313]: udev_node_mknod: mknod(/dev/capi/23.udev-tmp, 020660, 191, 23) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20314]: udev_node_mknod: mknod(/dev/capi/24.udev-tmp, 020660, 191, 24) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20315]: udev_node_mknod: mknod(/dev/capi/25.udev-tmp, 020660, 191, 25) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20316]: udev_node_mknod: mknod(/dev/capi/26.udev-tmp, 020660, 191, 26) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20317]: udev_node_mknod: mknod(/dev/capi/27.udev-tmp, 020660, 191, 27) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20318]: udev_node_mknod: mknod(/dev/capi/28.udev-tmp, 020660, 191, 28) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20319]: udev_node_mknod: mknod(/dev/capi/29.udev-tmp, 020660, 191, 29) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20320]: udev_node_mknod: mknod(/dev/capi/30.udev-tmp, 020660, 191, 30) failed: Operation not permitted
Mar 21 13:48:31 srv udevd-event[20321]: udev_node_mknod: mknod(/dev/capi/31.udev-tmp, 020660, 191, 31) failed: Operation not permitted
Mar 21 13:48:31 srv kernel: [ 1967.530935] kcapi: Controller [001]: fcpci-c800-21 attached
Mar 21 13:48:31 srv kernel: [ 1967.530947] kcapi: card [001] "fcpci-c800-21" ready.
Mar 21 13:48:31 srv kernel: [ 1967.532382] fcpci: Loaded.
====================

Please let me know if I can gather any further information regarding this issue.

Martin Emrich (emme) wrote :

I can confirm this on hardy with 2.6.24-16-generic. Additionally, when one tries to unload the module or stop capiutils, the kernel oopses and won't do anything regarding module loading/unloading until reboot.

Changed in isdnutils:
status: New → Confirmed
Martin Emrich (emme) wrote :

I found another version of the fcpci modules (from Mandriva 2008.0) here:

ftp://randosweb.de/mandriva/2008.0/release/dkms-fcpci-3.11.07-24.1mdvrb2008.0.noarch.rpm

I unpacked them with unp, changed the makefile to point to my linux-headers and installed the resulting kernel module, which works fine now. So I moved this bug to linux-restricted-modules now.

Ciao

Martin

mveltre (mveltre82) wrote :

I can recreate the issue on two different PCs with two different AVM Fritzcard PCI. Some other users like in the german ubuntu forum do have also this problems. See http://forum.ubuntuusers.de/topic/168953/ (german). Google fills up with the reports also. If possible, I would set the importance to high or at least middle as a lot of users which use ISDN landlines to connect have these problems.

In the meantime it could also (sometimes) help to download
http://rapidshare.de/files/39255014/AVM-Fritz.tar.gz.html

and use
$cd /usr/src/AVM-Fritz/fcpci-3.11.07
$sudo make
$sudo make install
$sudo depmod -a
$modprobe -l | grep fcpci

to install the module. On my one of my PCs i had to remove linux-restriced-modules at all to get it working (now other issues are coming up with that...). Solution was provided by the user "DeJe" in the german ubuntuusers forum.

Jan Girlich (vollkorn) wrote :

I can confitm this bug on an up-to-date ubuntu server with kernel 2.6.24-16.
I could solve the problem similar to the description above:

$sudo apt-get install linux-headers-2.6.24-16-generic linux-restricted-modules

Download http://rapidshare.de/files/39255014/AVM-Fritz.tar.gz.html

$tar -xzf AVM-Fritz.tar.gz
$mv AVM-Fritz /usr/src
$cd /usr/src/AVM-Fritz/fcpci-3.11.07
$sudo make
$cp driver.o fcpci.mod.o lib.o main.o queue.o tables.o tools.o /lib/linux-restricted-modules/2.6.24-16-generic/fcpci/

After a reboot everything works fine.

Who do we have to talk to to get the package fixed?

Gunni (fgunni) wrote :

I can confirm the bug, too.
The resolution from Jan Girlich worked for me, just one little change "sudo mv AVM-Fritz /usr/src" (Just in case some beginner comes to this post)
I would appreciate that this simple to fix bug would be commited soon.

aexl (aexl) wrote :

confirming and subscribing

Klaus Layer (klaus-layer) wrote :

Same here. Can someone please attach the tar from rapideshare to this bug. The rapidshare link expired. Thanks.

tberger (thilo-berger) wrote :

Same here. Please fix it. Thanks.

Best regards,

Obelix

longo (langen-langensoft) wrote :

Here the archive is; this bug really should be fixed - it is annoying.

juti (jjuuttii) wrote :

I've got the same problem. This problem is older than 2,5months! Please fix!

Gunni (fgunni) wrote :

As i compared the ubuntu sources and the sources of the working tar.gz it seems to be a simple patch:

--- linux-restricted-modules-2.6.24-2.6.24.13/fritz/fcpci/src/driver.c
+++ AVM-Fritz/fcpci-3.11.07/driver.c
@@ -194,7 +194,7 @@
  }
  lib_strncpy (ctrl->serial, tmp, CAPI_SERIAL_LEN);
  lib_memcpy (&ctrl->profile, card->string[6], sizeof (capi_profile));
- strncpy (ctrl->manu, "AVM GmbH", CAPI_MANUFACTURER_LEN);
+ lib_strncpy (ctrl->manu, "AVM GmbH", CAPI_MANUFACTURER_LEN);
  ctrl->version.majorversion = 2;
  ctrl->version.minorversion = 0;
  tmp = card->string[0];

There are two more differences, but i think they both deal with the same problem in a different place:

--- linux-restricted-modules-2.6.24-2.6.24.13/fritz/fcpci/src/defs.h
+++ AVM-Fritz/fcpci-3.11.07/defs.h
@@ -30,13 +30,6 @@
 #ifndef TRUE
 # define TRUE (1==1)
 # define FALSE (1==0)
-#endif
-
-#if !defined(SA_SHIRQ)
-#define SA_SHIRQ IRQF_SHARED
-#endif
-#if !defined(SA_INTERRUPT)
-#define SA_INTERRUPT IRQF_DISABLED
 #endif

 /*---------------------------------------------------------------------------*\

--- linux-restricted-modules-2.6.24-2.6.24.13/fritz/fcpci/src/driver.c
+++ AVM-Fritz/fcpci-3.11.07/driver.c
@@ -374,7 +374,7 @@
    card->irq,
    &irq_handler,
 #if defined (__fcpci__) || defined (__fcpcmcia__)
- SA_INTERRUPT | SA_SHIRQ,
+ IRQF_DISABLED | IRQF_SHARED,
 #else
    SA_INTERRUPT,
 #endif

Gunni (fgunni) wrote :

Hope its correct to assign this bug as i read some of the wiki pages.

Changed in linux-restricted-modules-2.6.24:
assignee: nobody → ubuntu-kernel-team

The patch of Gunni works even under debian testing! Thank you very much :)

systron (grabow) wrote :

Another capi problem:
When i start capiinit in a kvm-virtuell-machine, it freeze the system.

lsmod:

fcdslusb 761248 0
kernelcapi 48672 1 fcdslusb
usbcore 169904 4 fcdslusb,usbhid,uhci_hcd
kernelcapi 48672 1 fcdslusb
usbcore 169904 4 fcdslusb,usbhid,uhci_hcd

my dmesg shows:

[ 13.064516] CAPI Subsystem Rev 1.1.2.8
[ 13.067924] fcdslusb: module license 'Proprietary' taints kernel.
[ 13.068116] Symbol usb_register_driver is being used by a non-GPL module,
[ 13.068119] Please see the file Documentation/feature-removal-schedule.tx
[ 13.068343] Symbol usb_deregister is being used by a non-GPL module, whic
[ 13.068346] Please see the file Documentation/feature-removal-schedule.tx
[ 13.095280] fcdslusb: AVM FRITZ!Card DSL USB driver, revision 0.3.4
[ 13.095284] fcdslusb: (fcdslusb built on Jul 9 2008 at 16:44:23)
[ 13.095286] fcdslusb: -- 64 bit CAPI driver --
[ 13.095287] fcdslusb: Loading...
[ 13.095373] fcdslusb: Driver 'fcdslusb' attached to fcdslusb-stack. (328)
[ 13.104888] kcapi: Controller [001]: fcdslusb-0004 attached
[ 13.104894] kcapi: Controller [002]: fcdslusb-0004 attached
[ 13.104913] usbcore: registered new interface driver fcdslusb
[ 13.104917] fcdslusb: Loaded.

Now start capiinit and the vm answers only pings

Dennis Gädeke (denga) wrote :

I can confirm this bug on hardy with 2.6.24-19-generic.
Neighter the patch from Gunni nor the archive from Jan Girlich fix the problem.

Gunni (fgunni) wrote :

Dennis: The patch works here definitly. Are you sure you did everything like Jan described here:
https://bugs.launchpad.net/ubuntu/+source/linux-restricted-modules-2.6.24/+bug/204624/comments/4

Dennis Gädeke (denga) wrote :

I tried it again with a clean installation and both work fine. The error is in my old system. Thanks.

as (as-sektor7g) wrote :

Unfortunately this does not work on x86_64, but it seems this is not an ubuntu specific bug

make dies with:
ld: Relocatable linking with relocations from format elf32-i386 (/var/lib/fritz/fcpci-lib.o) to format elf64-x86-64 is not supported

Jan Girlich (vollkorn) wrote :

I'm not very familiar with how things work on launchpad, but I think about 5 months after reporting and dozens of supporting reports, it's adequate to set the importance to "medium" since it breaks some functionality anyway.

Tim Gardner (timg-tpi) wrote :

Uploaded linux-restricted-modules-2.6.24_2.6.24.14-21.48

Changed in linux-restricted-modules-2.6.24:
assignee: ubuntu-kernel-team → timg-tpi
importance: Undecided → Medium
milestone: none → ubuntu-8.04.2
status: Confirmed → Fix Committed
Tim Gardner (timg-tpi) wrote :

SRU Justification

Impact: Fritz ISDN PCI devices do not initialize interrupts correctly.

Patch Description: Change the interrupt init macros to 'IRQF_DISABLED | IRQF_SHARED'

Patch: https://bugs.edge.launchpad.net/ubuntu/+source/linux-restricted-modules-2.6.24/+bug/204624/comments/11

Test Case: See bug description

Gunni (fgunni) wrote :

Just to clarify, i think the necessary part of the patch was the string handling, as mentioned in my comment already:
Hope you have that in the patch, as patch description of you mentions the other part that seems not to be the problem:

--- linux-restricted-modules-2.6.24-2.6.24.13/fritz/fcpci/src/driver.c
+++ AVM-Fritz/fcpci-3.11.07/driver.c
@@ -194,7 +194,7 @@
  }
  lib_strncpy (ctrl->serial, tmp, CAPI_SERIAL_LEN);
  lib_memcpy (&ctrl->profile, card->string[6], sizeof (capi_profile));
- strncpy (ctrl->manu, "AVM GmbH", CAPI_MANUFACTURER_LEN);
+ lib_strncpy (ctrl->manu, "AVM GmbH", CAPI_MANUFACTURER_LEN);
  ctrl->version.majorversion = 2;
  ctrl->version.minorversion = 0;
  tmp = card->string[0];

Steve Langasek (vorlon) wrote :

Accepted into -proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

FlyingPenguin (flyingpenguin) wrote :

Still no luck:
===================================================
root@challenger:~# capiinfo
Number of Controllers : 1
Controller 1:
Manufacturer:
CAPI Version: 2.0
Manufacturer Version: 49.23
Serial Number: 1000001
BChannels: 0
Global Options: 0x00000000
B1 protocols support: 0x00000000
B2 protocols support: 0x00000000
B3 protocols support: 0x00000000

  0100
  0000
  00000000
  00000000
  00000000
  00000000
  00000000 00000000 00000000 00000000 00000000 00000000
  00000000 00000000 00000000 00000000 00000000

Supplementary services support: 0x000003ff
   Hold / Retrieve
   Terminal Portability
   ECT
   3PTY
   Call Forwarding
   Call Deflection
   MCID
   CCBS
===================================================
root@challenger:~# uname -a
Linux challenger 2.6.24-21-server #1 SMP Tue Aug 12 14:11:47 UTC 2008 i686 GNU/Linux
===================================================
[ 59.423090] CAPI Subsystem Rev 1.1.2.8
[ 59.435297] fcpci: module license 'Proprietary' taints kernel.
[ 59.496159] fcpci: AVM FRITZ!Card PCI driver, revision 0.7.2
[ 59.496170] fcpci: (fcpci built on Aug 14 2008 at 13:13:25)
[ 59.496173] fcpci: -- 32 bit CAPI driver --
[ 59.496315] ACPI: PCI Interrupt 0000:00:09.0[A] -> Link [LNKD] -> GSI 9 (level, low) -> IRQ 9
[ 59.496326] fcpci: AVM FRITZ!Card PCI found: port 0xa400, irq 9
[ 59.496329] fcpci: Loading...
[ 59.496336] fcpci: Driver 'fcpci' attached to fcpci-stack. (152)
[ 59.709239] fcpci: Stack version 3.11-07
[ 59.709289] kcapi: Controller [001]: fcpci-a400-09 attached
[ 59.709294] kcapi: card [001] "fcpci-a400-09" ready.
[ 59.709388] fcpci: Loaded.
...
[ 66.043106] capifs: Rev 1.1.2.3
[ 66.065726] capi20: Rev 1.1.2.7: started up with major 68 (middleware+capifs)
[ 66.136177] ISDN subsystem Rev: 1.1.2.3/1.1.2.3/1.1.2.2/1.1.2.3/1.1.2.2/1.1.2.2 loaded
[ 66.142239] capidrv-1: now up (0 B channels)
[ 66.142249] capidrv-1: not from AVM, no d-channel trace possible ()
[ 66.142399] capidrv: Rev 1.1.2.2: loaded
===================================================

Gunni (fgunni) wrote :

FlyingPenguin:
Maybe you have the same issue like Dennis:
https://bugs.launchpad.net/ubuntu/+source/linux-restricted-modules-2.6.24/+bug/204624/comments/17
When i am again at a friend of mine i can test at his computer myself.

mveltre (mveltre82) wrote :

tested and working for me. (package linux-restricted-modules 2.6.24.21.2 in proposed)

Thank you all very much!

FlyingPenguin (flyingpenguin) wrote :

I can confirm this, it works now great for me!

Steel-Cat (panther-toppoint) wrote :

this problem is also under 8.10

any solution?

Steel-Cat

Steel-Cat (panther-toppoint) wrote :

soem infos...

======================
panther@Akela:~$ uname -a
Linux Akela 2.6.27-11-generic #1 SMP Fri Dec 19 16:29:52 UTC 2008 i686 GNU/Linux
=============================
ii linux-restricted-modules-2.6.27-11-generic 2.6.27-11.15 Non-free Linux kernel modules for version 2.6.27 on x86/x86_64
ii avm-fritz-firmware-2.6.24-23 3.11+2.6.24.14-23.54 Firmware for AVM Fritz! ISDN hardware
ii avm-fritz-kernel-source 3.11+2.6.24.14-23.54 AVM Fritz! binary kernel module source
ii capiutils 1:3.12.20071127-0ubuntu2 Utilities for CAPI-capable ISDN cards
ii libcapi20-3 1:3.12.20071127-0ubuntu2 libraries for CAPI support
ii libcapi20-dev 1:3.12.20071127-0ubuntu2 libraries for CAPI support
ii pppdcapiplugin 1:3.12.20071127-0ubuntu2 plugin for pppd to communicate with CAPI-capable ISDN cards
===============================
panther@Akela:~$ capiinfo
Number of Controllers : 1
Controller 1:
Manufacturer:
CAPI Version: 2.0
Manufacturer Version: 49.23
Serial Number: 1000001
BChannels: 0
Global Options: 0x00000000
B1 protocols support: 0x00000000
B2 protocols support: 0x00000000
B3 protocols support: 0x00000000

  0100
  0000
  00000000
  00000000
  00000000
  00000000
  00000000 00000000 00000000 00000000 00000000 00000000
  00000000 00000000 00000000 00000000 00000000

Supplementary services support: 0x000003ff
   Hold / Retrieve
   Terminal Portability
   ECT
   3PTY
   Call Forwarding
   Call Deflection
   MCID
   CCBS
==================================
[ 13.591404] kcapi: Controller [001]: fcpci-c800-22 attached
[ 13.591406] kcapi: card [001] "fcpci-c800-22" ready.

[ 65.136380] capifs: Rev 1.1.2.3
[ 65.140668] capi20: Rev 1.1.2.7: started up with major 68 (middleware+capifs)
[ 65.178784] ISDN subsystem Rev: 1.1.2.3/1.1.2.3/1.1.2.2/1.1.2.3/1.1.2.2/1.1.2.2 loaded
[ 65.181421] capidrv-1: now up (0 B channels)
[ 65.181423] capidrv-1: not from AVM, no d-channel trace possible ()
[ 65.181456] capidrv: Rev 1.1.2.2: loaded
====================================

Steel-Cat (panther-toppoint) wrote :

linux-restricted-modules-2.6.27-11-generic (2.6.27-11.15) to 2.6.27-11.16
linux-restricted-modules-common (2.6.27-11.15) to 2.6.27-11.16

this and a reboot and all is OK

THX

Steel-Cat

Tim Gardner (timg-tpi) wrote :

2.6.27-11.16

Changed in linux-restricted-modules-2.6.24 (Ubuntu):
assignee: Tim Gardner (timg-tpi) → nobody
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers